import { http } from "@/utils/http";
// 指标列表
type templateInfo = {
  code: number;
  msg: string;
  data: boolean;
};
type templateInfoList = {
  code: number;
  msg: string;
  data: Array<any>;
};
// 分页查询
export const getTemplateInfoList = params => {
  return http.request<templateInfoList>("get", "/templateInfo/page", {
    params
  });
};
// 添加
export const postAddTemplate = data => {
  return http.request<templateInfo>("post", "/templateInfo/addTemplate", {
    data
  });
};
// 复制
export const getCopyTemplate = data => {
  return http.request<templateInfo>("get", "/templateInfo/copyTemplate", {
    data
  });
};
// 删除
export const getDeleteTemplate = id => {
  return http.request<templateInfo>("get", `/templateInfo/remove/id=${id}`);
};
